เนื้อหา
Look up hotels by city and/or name — a lookup, not a catalogue export: a cityCode or a name of 3+ characters is required, 50 per page, 20 pages per query. Store the codes you need: availability is searched by `cityCode` or `hotelCodes`.
get/v1/content/hotels
- ต้องยืนยันตัวตน
พารามิเตอร์
| ชื่อ | ตำแหน่ง | ชนิด | คำอธิบาย |
|---|---|---|---|
| cityCode | คิวรี | string | |
| country | คิวรี | string | |
| q | คิวรี | string | |
| page | คิวรี | integer (int32) | |
| pageSize | คิวรี | integer (int32) |
การตอบกลับ
200OKHotelContentItemPagedList
- HotelContentItem[]
- hotelCodestring
- namestringเป็น null ได้
- starsinteger (int32)เป็น null ได้
- cityCodestringเป็น null ได้
- cityNamestringเป็น null ได้
- countryCodestringเป็น null ได้
- addressstringเป็น null ได้
- latitudenumber (double)เป็น null ได้
- longitudenumber (double)เป็น null ได้
- imagesstring[]
- amenitiesstring[]
- pageinteger (int32)
- pageSizeinteger (int32)
- totalinteger (int32)
- 400Bad Requestรายละเอียดปัญหาตาม RFC 7807
ตัวอย่างโค้ด
โปรแกรมสมบูรณ์ที่ลงนามคำขอแบบเดียวกับที่เกตเวย์ใช้ตรวจสอบ แทนที่ YOUR_KEY_ID และ YOUR_SECRET
# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/content/hotels\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')
curl -X GET "https://api.dubaitrip.com/v1/content/hotels" \
-H "X-API-Key: $KEY_ID" \
-H "X-Timestamp: $TS" \
-H "X-Nonce: $NONCE" \
-H "X-Signature: $SIG" \
-H "Accept: application/json"